/***** BEGIN LICENSE BLOCK *****
 - Version: MPL 1.1/GPL 2.0/LGPL 2.1
 -
 - The contents of this file are subject to the Mozilla Public License Version
 - 1.1 (the "License"); you may not use this file except in compliance with
 - the License. You may obtain a copy of the License at
 - http://www.mozilla.org/MPL/
 -
 - Software distributed under the License is distributed on an "AS IS" basis,
 - WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 - for the specific language governing rights and limitations under the
 - License.
 -
 - The Original Code is annozilla.
 -
 - The Initial Developer of the Original Code is
 - Matthew Wilson <matthew@mjwilson.demon.co.uk>.
 - Portions created by the Initial Developer are Copyright (C) 2005
 - the Initial Developer. All Rights Reserved.
 -
 - Contributor(s):
 -
 - Alternatively, the contents of this file may be used under the terms of
 - either the GNU General Public License Version 2 or later (the "GPL"), or
 - the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 - in which case the provisions of the GPL or the LGPL are applicable instead
 - of those above. If you wish to allow use of your version of this file only
 - under the terms of either the GPL or the LGPL, and not to allow others to
 - use your version of this file under the terms of the MPL, indicate your
 - decision by deleting the provisions above and replace them with the notice
 - and other provisions required by the LGPL or the GPL. If you do not delete
 - the provisions above, a recipient may use your version of this file under
 - the terms of any one of the MPL, the GPL or the LGPL.
 - ***** END LICENSE BLOCK ***** */

/* Initialise the UI by populating the entries in the list box.*/
function init() {
  populateListBox();
}

/* Populate the entries in the list box from the hidden text field. */
function populateListBox () {
    var sites = document.getElementById("annozillaAutoLoadSites").value.split(" ");
    for (var ix=0; ix < sites.length; ix++) {
        if (sites[ix] != "") {
            document.getElementById("annozillaSites").appendItem (sites[ix]);
        }
    }
}

/* Set the value in the hidden pref field based on the values in the list box */
function setPrefValue () {
    var siteBox = document.getElementById("annozillaSites");
    var siteString = '';
    for (var ix =0; ix < siteBox.getRowCount(); ix++) {
        if (ix != 0) siteString += ' ';
        siteString += siteBox.getItemAtIndex(ix).label;
    }
    document.getElementById("annozillaAutoLoadSites").value = siteString;
    // Inform the prefwindow mechanism that the value has changed
    document.getElementById ("annozillaGeneralPreferencesPane").userChangedValue
         (document.getElementById("annozillaAutoLoadSites"));
}

/* Add a new site to the list */
function newSite () {
    var site = window.prompt ("Enter new site address");
    if (site == null || site == '') return;
    document.getElementById("annozillaSites").appendItem (site);
    setPrefValue();
}

/* Delete a site from the list */
function deleteSite () {
    var siteBox = document.getElementById("annozillaSites");
    for (var ix = siteBox.selectedCount-1; ix >= 0; ix--) {
        siteBox.removeItemAt (
           siteBox.getIndexOfItem
              (siteBox.getSelectedItem(ix)));
    }
    setPrefValue();
}
